Apache log4cxx: DatagramSocket Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DatagramSocket Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

This class represents a socket for sending and receiving datagram packets.

## Public Member Functions
| DatagramSocket ()
| Constructs a datagram socket and binds it to any available port on the local host machine.
| DatagramSocket (int port)
| Constructs a datagram socket and binds it to the specified port on the local host machine.
| DatagramSocket (int port, InetAddressPtr laddr)
| Creates a datagram socket, bound to the specified local address.
| ~DatagramSocket ()
| ensure the socket is closed.
void | bind (int lport, InetAddressPtr laddress)
| Binds a datagram socket to a local port and address.
void | create ()
| Creates a datagram socket.
void | close ()
| Closes this datagram socket.
void | connect (InetAddressPtr address, int port)
| Connects the socket to a remote address for this socket.
InetAddressPtr | getInetAddress () const
| Returns the address to which this socket is connected.
InetAddressPtr | getLocalAddress () const
| Gets the local address to which the socket is bound.
int | getLocalPort () const
| Returns the port number on the local host to which this socket is bound.
int | getPort () const
| Returns the port for this socket.
bool | isBound () const
| Returns the binding state of the socket.
bool | isClosed () const
| Returns wether the socket is closed or not.
bool | isConnected () const
| Returns the connection state of the socket.
void | receive (DatagramPacketPtr &p)
| Receives a datagram packet from this socket.
void | send (DatagramPacketPtr &p)
| Sends a datagram packet from this socket.

## Constructor & Destructor Documentation

DatagramSocket | ( |  | ) |

| Constructs a datagram socket and binds it to any available port on the local host machine.

DatagramSocket | ( | int | port | ) |

| Constructs a datagram socket and binds it to the specified port on the local host machine.

DatagramSocket | ( | int | port,
|  | InetAddressPtr | laddr
| ) |

| Creates a datagram socket, bound to the specified local address.

~DatagramSocket | ( |  | ) |

| ensure the socket is closed.

## Member Function Documentation

void bind | ( | int | lport,
|  | InetAddressPtr | laddress
| ) |

| Binds a datagram socket to a local port and address.

void close | ( |  | ) |

| Closes this datagram socket.

void connect | ( | InetAddressPtr | address,
|  | int | port
| ) |

| Connects the socket to a remote address for this socket.

void create | ( |  | ) |

| Creates a datagram socket.

InetAddressPtr getInetAddress | ( |  | ) | const`[inline]`

| Returns the address to which this socket is connected.

InetAddressPtr getLocalAddress | ( |  | ) | const`[inline]`

| Gets the local address to which the socket is bound.

int getLocalPort | ( |  | ) | const`[inline]`

| Returns the port number on the local host to which this socket is bound.

int getPort | ( |  | ) | const`[inline]`

| Returns the port for this socket.

bool isBound | ( |  | ) | const`[inline]`

| Returns the binding state of the socket.

bool isClosed | ( |  | ) | const`[inline]`

| Returns wether the socket is closed or not.

bool isConnected | ( |  | ) | const`[inline]`

| Returns the connection state of the socket.

void receive | ( | DatagramPacketPtr & | p | ) |

| Receives a datagram packet from this socket.

void send | ( | DatagramPacketPtr & | p | ) |

| Sends a datagram packet from this socket.

The documentation for this class was generated from the following file:

- datagramsocket.h